Subject: Re: bug#34124: gnome-shell crash when opening the activities overview
From: Ricardo Wurmus <[email-masked]>
To: Ben Sturmfels <[email-masked]>
Cc: Christopher Baines <[email-masked]>, Ben Sturmfels <[email-masked]>, [email-masked]
Date: Thu, 25 Apr 2019 15:20:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ben,

> I ran:
>
>   $ find ~/.guix-profile/ -type d -wholename '*lib/gdk-pixbuf*'
>   /home/ben/.guix-profile/lib/gdk-pixbuf-2.0
>   /home/ben/.guix-profile/lib/gdk-pixbuf-2.0/2.10.0
>   /home/ben/.guix-profile/lib/gdk-pixbuf-2.0/2.10.0/loaders
>
> and then:
>
>   LD_LIBRARY_PATH=/home/ben/.guix-profile/lib gnome-shell
>
> after which I could then select "Activities" and "Show Applications"
> without any problems.
>
> As you suggested was able to make the workaround persistent with:
>
>   $ echo "LD_LIBRARY_PATH=/home/ben/.guix-profile/lib gnome-session" > ~/.xsession
>   $ chmod a+x ~/.xsession
>
> Is there a way to fix this more permanently in Gnome?

Yes, I’ve fixed this on the staging branch for the gnome-shell package.
This also fixes another crash we saw when displaying notifications.

--
Ricardo